fill_modal = (event) ->
  target = $(this)
  cinema_id = target.attr 'cinema_id'
  if undefined != cinema_id and "" != cinema_id
    $("#modal_id").text cinema_id
    $("#modal_name").text target.find("[attr_name='name']").text()
    $("#modal_location").text target.find("[attr_name='location']").text()
    $("#modal_seats").text target.find("[attr_name='seats']").text()
    $("#cinemaModal").modal('toggle')

hrefToEdit = (event) ->
  cinema_id = $("#modal_id").text()
  window.location.replace "#{context_url}/cinema/?id=#{cinema_id}"

removeCinema = (event) ->
  cinema_id = $("#modal_id").text()
  $.ajax
    url: "#{context_url}/cinema/?id=#{cinema_id}",
    type: 'DELETE'
    error: (jqXHR, textStatus, errorThrown) ->
      console.log "AJAX Error: #{textStatus}"
    success: (data, textStatus, jqXHR) ->
      $("tr[cinema_id='#{cinema_id}").remove()
      $("#cinemaModal").modal('toggle')

addListeners = ->
  $('tr').on 'click', fill_modal
  $('#edit_cinema').on 'click', hrefToEdit
  $('#delete_cinema').on 'click', removeCinema

$(document).ready(addListeners)